#ifndef FLEETDLG_H
#define FLEETDLG_H

#include <tdelistview.h>

#include <tqdialog.h>

#include "gamecore.h"

class FleetDlgListViewItem : public TQListViewItem
{
	public:
		FleetDlgListViewItem(TQListView *parent, TQString s1, TQString s2, TQString s3, TQString s4, TQString s5);
		int compare(TQListViewItem *i, int col, bool) const;
};

class FleetDlg : public TQDialog  {

public: 
	FleetDlg( TQWidget *parent, AttackFleetList *fleets );

private:
    void init();

    AttackFleetList *fleetList;
    TQListView *fleetTable;
};

#endif
